import java.awt.event.*;

/**
 * A class that represents window listener objects that, when closed
 * by the user, terminate the program that created them.
 * @author Derek Bridge
 */
public class GenericWindowLstnr
   implements WindowListener
{
/* =======================================================================
       CONSTRUCTORS
   =======================================================================
*/
   /**
    * Allocates a new listener object.
    */
   public GenericWindowLstnr()
   {
   }

/* =======================================================================
       PUBLIC INTERFACE
   =======================================================================
*/
   /**
    * Handler method for window being opened by a program.
    *
    * @param we the window opening event.
    */
   public void windowOpened(WindowEvent we)
   {
   }

   /**
    * Handler method for window being given focus by the user.
    *
    * @param we the window activation event.
    */
   public void windowActivated(WindowEvent we)
   {
   }

   /**
    * Handler method for window losing focus.
    *
    * @param we the window deactivation event.
    */
   public void windowDeactivated(WindowEvent we)
   {
   }

   /**
    * Handler method for window being iconified by the user.
    *
    * @param we the window iconification event.
    */
   public void windowIconified(WindowEvent we)
   {
   }

   /**
    * Handler method for window being de-iconified by the user.
    *
    * @param we the window de-iconification event.
    */
   public void windowDeiconified(WindowEvent we)
   {
   }

   /**
    * Handler method for window being closed by the user.
    *
    * @param we the window closing event.
    */
   public void windowClosing(WindowEvent we)
   {  System.exit(0);
   }

   /**
    * Handler method for window being closed by the program.
    *
    * @param we the window closing event.
    */
   public void windowClosed(WindowEvent we)
   {
   }
}